Unverified Commit fc5b50e6 authored by René Fritze's avatar René Fritze
Browse files

[setup] our minimal scipy is 1.3 overall, actually

We use changes introduced in 1.3 in matrix I/O
parent 6c0ea1c6
......@@ -19,7 +19,7 @@ def _numpy_scipy():
'numpy>=1.19.4;python_version >= "3.9"',
]
scipys = [
'scipy>=1.1;python_version < "3.8"',
'scipy>=1.3;python_version < "3.8"',
'scipy>=1.3.3;python_version == "3.8"',
'scipy>=1.5.4;python_version >= "3.9"',
]
......
......@@ -33,8 +33,8 @@ pytest>=4.4
python-slugify
pythreejs
qtpy
scipy>=1.1;python_version < "3.8"
scipy>=1.3.3;python_version == "3.8"
scipy>=1.3;python_version < "3.8"
scipy>=1.5.4;python_version >= "3.9"
slycot>=0.4.0
sphinx-autoapi>=1.8
......
......@@ -7,8 +7,8 @@ numpy>=1.19.4;python_version >= "3.9"
packaging
pytest-runner>=2.9
qtpy
scipy>=1.1;python_version < "3.8"
scipy>=1.3.3;python_version == "3.8"
scipy>=1.3;python_version < "3.8"
scipy>=1.5.4;python_version >= "3.9"
setuptools>=40.8.0,<49.2.0;python_version < "3.9"
setuptools>=49.1,<49.2.0;python_version >= "3.9"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment